# Sandbox

A sandbox is an interactive environment you can use to interact with queries before persisting them into a [streaming query](/overview/core-concepts/queries.md#streaming_or_continuous_query).

Start a sandbox environment using the [`START SANDBOX`](/reference/sql-syntax/sandbox/start-sandbox.md) command. This command starts a new temporary cluster in your organization. Once started, the sandbox bootstraps the appropriate resources until it reaches the `RUNNING` state. At this state, you can run any [`SELECT`](/reference/sql-syntax/query/select.md) query against the environment without being persisted.

Sandboxes stop automatically after 10 minutes if not used. You can also stop them using the [`STOP SANDBOX`](/reference/sql-syntax/sandbox/stop-sandbox.md) command.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/sandbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
